@ECHO OFF
ECHO. 
ECHO. This service installer must be run with Administrative privileges
ECHO. 
ECHO. The GUI (dnsredir.exe) cannot run concurrently with the service (dnsrsvc.exe)
ECHO. Please terminate any DNS Redirector instances now.
ECHO. 
ECHO. Exceptions may need to be added to Windows Firewall
ECHO. Please run fixFirewall.bat if needed.
ECHO. 
ECHO. NTFS permissions must be applied to the application working directory:
ECHO.  Administrators = Full Control
ECHO.  LOCAL SERVICE = Full Control
ECHO.  SYSTEM = Full Control
ECHO. Please run fixNTFS.bat if needed.
ECHO. 
PAUSE
SET PROG="%~dp0\dnsrsvc.exe"
SET FIRSTPART=%WINDIR%"\Microsoft.NET\Framework\v"
SET SECONDPART="\InstallUtil.exe"
SET DOTNETVER=4.0.30319
IF EXIST %FIRSTPART%%DOTNETVER%%SECONDPART% GOTO install
GOTO fail
:install
ECHO. 
ECHO Found .NET Framework v%DOTNETVER%
ECHO Installing service %PROG%
%FIRSTPART%%DOTNETVER%%SECONDPART% %PROG%
ECHO DONE !
ECHO. 
ECHO. Go to Start, Run, services.msc
ECHO. Pick DNS Redirector
ECHO. Set Startup type: Automatic
ECHO. Then Start the service
ECHO. 
PAUSE
ECHO. Removing install logs
Del dnsrsvc.InstallLog
Del dnsrsvc.InstallState
Del InstallUtil.InstallLog
EXIT
:fail
ECHO. 
ECHO FAILURE: Could not find .NET Framework v4.0.30319
ECHO. 
PAUSE
EXIT